/* customer recharge form css start */

/* section area  */
.entry-panel-area {
  width: 400px;
  background: #fff;
  text-align: center;
  border-radius: 5px;
  margin: 5px auto;
  padding: 5px 35px 10px 35px;
}

.entry-panel-area .form-outer {
  width: 100%;
  overflow: hidden;
}
.entry-panel-area .form-outer form {
  display: flex;
  width: 400%;
}

/* .entry-panel-area header {
  font-size: 35px;
  font-weight: 600;
  margin: 0 0 30px 0;
} */



.entry-panel-area .form-outer form .page {
  width: 25%;
  transition: margin-left 0.3s ease-in-out;
}
.entry-panel-area .operatorimg {
  height: 90px;
  width: 90px;
  top: -25px;
  position: relative;
  cursor: pointer;
}
.entry-panel-area .form-outer form .page .title {
  text-align: left;
  font-size: 25px;
  font-weight: 500;
  font-family: 'SolaimanLipi';
  padding: 15px 2px;
}

.entry-panel-area .form-outer form .page .field {
  width: 330px;
  min-height: 45px;
  height: auto;
  margin: 0 0 30px 0;
  display: flex;
  position: relative;
}

.entry-panel-area #operator-field {
  flex-wrap: wrap;
  margin-top: 35px;
  justify-content: center;
}

.entry-panel-area form .page .field .label {
  position: absolute;
  top: -30px;
  font-weight: 500;
}

.entry-panel-area form .page .field input {
  width: 100%;
  border: 1px solid lightgrey;
  border-radius: 5px;
  padding-left: 15px;
  font-size: 18px;
}

.entry-panel-area form .page .field select {
  /* width: 100%; */
  padding-left: 10px;
  /* font-size: 17px; */
  /* font-weight: 500; */
  height: fit-content;
}

.entry-panel-area form .page .field button,
.entry-panel-area .custom-btn {
  width: 100%;
  /* height: calc(100% + 5px); */
  border: none;
  background: #d33f8d;
  margin-top: -20px;
  border-radius: 5px;
  color: #fff;
  cursor: pointer;
  font-size: 18px;
  font-weight: 500;
  letter-spacing: 1px;
  text-transform: uppercase;
  transition: 0.5s ease;
}

.entry-panel-area .custom-btn {
  text-decoration: none;
  padding: 20px 0;
}

.entry-panel-area form .page .field button:hover {
  background: #000;
}

.entry-panel-area form .page .btns button {
  margin-top: -20px !important;
}

.entry-panel-area form .page .btns button.prev {
  margin-right: 3px;
  font-size: 17px;
}

.entry-panel-area form .page .btns button.next {
  margin-left: 3px;
}
/* progress bar css => "currently not useing it" */
.entry-panel-area .progress-bar {
  display: flex;
  margin: 25px 0;
  user-select: none;
}

.entry-panel-area .progress-bar .step {
  text-align: center;
  width: 100%;
  position: relative;
}

.entry-panel-area .progress-bar .step p {
  font-weight: 500;
  font-size: 15px;
  color: #000;
  margin-bottom: 8px;
}

.progress-bar .step .bullet {
  height: 25px;
  width: 25px;
  border: 2px solid #000;
  display: inline-block;
  border-radius: 50%;
  position: relative;
  transition: 0.2s;
  font-weight: 500;
  font-size: 17px;
  line-height: 25px;
}

.entry-panel-area .progress-bar .step .bullet.active {
  border-color: #d43f8d;
  background: #d43f8d;
}

.entry-panel-area .progress-bar .step .bullet span {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
}

.entry-panel-area .progress-bar .step .bullet.active span {
  display: none;
}

.entry-panel-area .progress-bar .step .bullet:before,
.entry-panel-area .progress-bar .step .bullet:after {
  position: absolute;
  content: '';
  bottom: 11px;
  right: -51px;
  height: 3px;
  width: 44px;
  background: #262626;
}

.entry-panel-area .progress-bar .step .bullet.active:after {
  background: #d43f8d;
  transform: scaleX(0);
  transform-origin: left;
  animation: animate 0.3s linear forwards;
}

@keyframes animate {
  100% {
    transform: scaleX(1);
  }
}

.entry-panel-area .progress-bar .step:last-child .bullet:before,
.entry-panel-area .progress-bar .step:last-child .bullet:after {
  display: none;
}

.entry-panel-area .progress-bar .step p.active {
  color: #d43f8d;
  transition: 0.2s linear;
}

.entry-panel-area .progress-bar .step .check {
  position: absolute;
  left: 50%;
  top: 65%;
  font-size: 15px;
  transform: translate(-50%, -50%);
  display: none;
}

.entry-panel-area .progress-bar .step .check.active {
  display: block;
  color: #fff;
}



/* customer recharge form css end */

/* Notification Modal  */
.entry-panel-area .notify-success {
  /* width: 150px; */
  background-color: #30534a;
  color: white;
  position: fixed;
  border-radius: 1px;
  top: 20%;
  object-fit: contain;
  margin-right: 4px;
  right: 0;
  box-shadow: -4px 4px 9px 0px black;
  display: none;
  -webkit-animation: all 1s linear;
  animation: all 1s linear;
}

.entry-panel-area .notify-success .notifybody {
  display: flex;
  justify-content: space-around;
  padding: 10px 20px 10px 10px;
  align-items: center;
}

.entry-panel-area .notify-success .notifybody .statuscircle {
  padding: 10px;
  border-radius: 50%;
  background-color: greenyellow;
  object-fit: cover;
  margin-right: 0.5em;
}

.entry-panel-area .notify-failed {
  /* width: 150px; */
  background-color: red;
  color: white;
  position: fixed;
  border-radius: 1px;
  top: 20%;
  object-fit: contain;
  margin-right: 4px;
  right: 0;
  box-shadow: -4px 4px 9px 0px black;
  display: none;
  -webkit-animation: all 1s linear;
  animation: all 1s linear;
}

.entry-panel-area .notify-failed .notifybody {
  display: flex;
  justify-content: space-around;
  padding: 10px 20px 10px 10px;
  align-items: center;
}

.entry-panel-area .notify-failed .notifybody .statuscircle {
  padding: 10px;
  border-radius: 50%;
  background-color: rgb(255, 123, 47);
  object-fit: cover;
  margin-right: 0.5em;
}